Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/mobile.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/mobile.css	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/mobile.css	(revision 7449)
@@ -1,24 +1,7 @@
-#primary-navigation li a {
-  font-size:100%;
-  padding-bottom: 0.5em;
-  padding-left: 0.5em;
-  padding-right: 0.5em;
-  padding-top: 0.5em;
+.container {
+  width: 420px;
 }
 
-#user-navigation li a {
-  font-size: 86%;
-  padding-bottom: 0.5em;
-  padding-left: 0.5em;
-  padding-right: 0.5em;
-  padding-top: 0.8em;
+body {
+  padding-top: 120px;
 }
-
-#hd {
-  padding-left:0.3em;
-  padding-right:0.3em;
-}
-
-#bd {
-  padding:0.6em;
-}
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7449)
@@ -4,4 +4,6 @@
 'waeuptheme-<SOME-NAME>.css' and include a utility and a resource in theming.py 
 and resources.py respectively. */
+
+/* bootstrap.min customizations */
 
 body {
@@ -19,12 +21,4 @@
 }
 
-.form-table td {
-  padding: 5px 5px 4px;
-  border-top: none;
-}
-
-.error {
-  color: red;
-}
 
 select {
@@ -32,4 +26,10 @@
 }
 
+ /* IE doesn't like the footer tag*/
+.footer {
+  padding-top: 17px;
+  border-top: 1px solid #eee;
+  margin-top: 50px;
+}
 
  /* dataTables stuff */
@@ -40,5 +40,13 @@
 }
 
+table.display {
+    margin-top: 25px;
+}
+
  /* SIRP stuff */
+
+.error {
+  color: red;
+}
 
 .form-table {
@@ -46,5 +54,20 @@
 }
 
+.form-table td {
+  padding: 5px 5px 4px;
+  border-top: none;
+}
+
 .fieldname {
   width: 25%;
 }
+
+.workflow {
+  border:1px solid #1fdf00;
+  background-color:#bbffb6;
+  font-family: courier;
+  font-size: 80%;
+  padding: 4px;
+  margin-bottom: 8px;
+  line-height: 16px;
+}
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7449)
@@ -64,24 +64,24 @@
         </div>
       </div>
-      <div class="content">
-        <div class="row">
-          <div class="span12"
-              tal:define="message context/@@messages"
-              tal:condition="python: len(message)>11">
-            <div tal:content="structure message">
-            </div>
-          </div>
-          <div class="span12" tal:condition="provider:actionbar">
-            <span tal:replace="structure provider:actionbar" />
-            <br /><br />
-          </div>
-          <div class="span12" tal:content="structure view/content"> THE CONTENT
+      <div class="span12 content">
+        <div
+            tal:define="message context/@@messages"
+            tal:condition="python: len(message)>11">
+          <div tal:content="structure message">
           </div>
         </div>
-        <footer>
-          <p>Student Information and Registration Portal<br />
-              Copyright &copy; WAeUP Group, 2008-2012
+        <div class="span12" tal:condition="provider:actionbar">
+          <span tal:replace="structure provider:actionbar" />
+          <br /><br />
+        </div>
+        <div tal:content="structure view/content"> THE CONTENT
+        </div>
+        <div class="footer">
+          <p class="pull-right"><a href="#">Back to top</a></p>
+          <p>
+            Student Information and Registration Portal<br />
+            Copyright &copy; WAeUP Group, 2008-2012
           </p>
-        </footer>
+        </div>
       </div>
     </div>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7449)
@@ -16,96 +16,56 @@
         tal:attributes="title string:RSS feed of ${layout/getAppTitle};
             href python: view.url(layout.site, 'feed.rss')" />
-
   </head>
-  <body class="rounded yui-skin-sam">
-    <div id="doc3" class="yui-t7">
-      <div id="hd" role="banner">
-        <div id="hd">
-          <h1 id="logo">
-            <a href="" tal:attributes="href view/application_url">
-              <span class="uni-logo">
-              </span> </a>
-            <span id="uni-title" tal:content="layout/getAppTitle"> Sample University
-            </span> </h1>
-          <div id="navigation" class="yui-navset" style="text-align:right;">
-            <ul id="primary-navigation">
+  <body>
+    <div class="topbar" data-scrollspy="scrollspy" >
+      <div class="topbar-inner">
+        <div  class="container">
+          <a class="brand" href="#">Acronym</a>
+          <ul class="nav">
               <tal:primary_nav content="structure provider:primary_nav" />
               <tal:primary_nav content="structure provider:primary_nav_student" />
-            </ul>
-            <ul id="user-navigation">
-              <li tal:condition="not: layout/isAuthenticated">
-              <a href="#" tal:attributes="href python: view.url(layout.site, 'login')">
-                  Login
-              </a>
-              </li>
-              <li tal:condition="layout/isAuthenticated">
-              <a href="#" tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
-                  Contact
-              </a>
-              </li>
-              <li tal:condition="layout/isAuthenticated">
-              <a href="#" tal:attributes="href python: view.url(context, '@@logout')">Logout</a>
-              </li>
-            </ul>
-            <div class="clear">
-            </div>
+          </ul>
+          <ul class="nav secondary-nav">
+            <li tal:condition="not: layout/isAuthenticated">
+            <a href="#" tal:attributes="href python: view.url(layout.site, 'login')">
+                Login
+            </a>
+            </li>
+            <li tal:condition="layout/isAuthenticated">
+            <a href="#" tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
+                Contact
+            </a>
+            </li>
+            <li tal:condition="layout/isAuthenticated">
+            <a href="#" tal:attributes="href python: view.url(context, '@@logout')">Logout</a>
+            </li>
+          </ul>
+        </div>
+      </div>
+    </div>
+
+    <div class="container">
+      <div class="content">
+        <div tal:define="message context/@@messages"
+             tal:condition="python: len(message)>11">
+          <div tal:content="structure message">
           </div>
         </div>
-      </div>
-      <div id="bd" role="main">
-
-        <div class="yui-b">
-          <div class="block" >
-            <div class="studentmenu">
-              <div tal:condition="layout/getStudentName"
-                   tal:replace="structure provider:top_student">
-                Student Links
-              </div>
-              <div tal:content="structure provider:actionbar">
-                Student Actions
-              </div>
-            </div>
-          </div>
+        <div tal:condition="provider:actionbar">
+          <span tal:replace="structure provider:actionbar" />
+          <br /><br />
         </div>
-
-        <div id="yui-main">
-          <div class="yui-b">
-            <div class="yui-g">
-              <div class="block">
-                <div class="bd">
-                  <div class="actionbar">
-                    <span tal:condition="layout/getStudentName" class="wfstatus">
-                    Id:
-                    <span tal:replace="python:context.getStudent().student_id"
-                        class="wfstatus">Id</span>
-                    &nbsp;&nbsp;
-                    State:
-                    <span tal:replace="python:context.getStudent().state"
-                        class="wfstatus">State</span>
-                    </span>
-                  </div>
-                  <div class="alert warning ui-state-error"
-                      tal:define="message context/@@messages"
-                      tal:condition="python: len(message)>11">
-                    <span class="ui-icon ui-icon-alert">A
-                    </span>
-                    <span tal:content="structure message">
-                    </span>
-                  </div>
-                  <div tal:replace="structure view/content"> THE CONTENT
-                  </div>
-                </div>
-              </div>
-            </div>
-          </div>
+        <div tal:content="structure view/content"> THE CONTENT
         </div>
-
-      </div>
-      <div id="ft" role="contentinfo">
-        <p>Student Information and Registration Portal<br />
-            Copyright &copy; WAeUP Group, 2008-2011
-        </p>
+        <div class="footer">
+          <p class="pull-right"><a href="#">Back to top</a></p>
+          <p>
+            Student Information and Registration Portal<br />
+            Copyright &copy; WAeUP Group, 2008-2012
+          </p>
+        </div>
       </div>
     </div>
+
   </body>
 </html>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/universitypage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/universitypage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/universitypage.pt	(revision 7449)
@@ -1,3 +1,3 @@
-<h2 tal:content="view/label">Title</h2>
+<h1 tal:content="view/label">Title</h1>
 
 <span tal:replace="structure view/frontpage">Frontpage</span>
